Skip to main content
`Ctrl`+`K`

# PCGASMSetSortIndices

Determines whether subdomain indices are sorted.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGASMSetSortIndices(PC pc, PetscBool doSort)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- doSort - sort the subdomain indices

## See Also

KSP: Linear System Solvers, `PCGASM`, `PCGASMSetSubdomains()`, `PCGASMGetSubKSP()`, `PCGASMCreateSubdomains2D()`

## Level

intermediate

## Location

src/ksp/pc/impls/gasm/gasm.c

## Implementations

PCGASMSetSortIndices_GASM() in src/ksp/pc/impls/gasm/gasm.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages